Name:         jgroups212
Version:      2.12.3
Release:      17%{?dist}
Summary:      A toolkit for reliable multicast communication
License:      LGPLv2
URL:          http://www.jgroups.org
# git clone git://github.com/belaban/JGroups.git
# cd JGroups && git checkout Branch_JGroups_2_12 && git checkout-index -f -a --prefix=jgroups212-2.12.3.Final
# find jgroups212-2.12.3.Final/ -name '*.jar' -type f -delete
# tar -cJf jgroups212-2.12.3.Final.tar.xz jgroups212-2.12.3.Final
Source0:       %{name}-%{version}.Final.tar.xz
Patch0:        %{name}-groupid.patch
BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: mvn(bsh:bsh)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(xalan:xalan)
BuildRequires: mvn(xalan:serializer)

%description
A toolkit for reliable multicast communication.
It allows developers to create reliable multipoint (multicast) applications
where reliability is a deployment issue, and does not have to be implemented
by the application developer. This saves application developers significant
amounts of time, and allows for the application to be deployed in different
environments, without having to change code.

%package javadoc
Summary:    Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}.Final
# Cleanup
find . -name '*.jar' -delete
find . -name '*.class' -delete

%patch0 -p1

%pom_remove_plugin :maven-source-plugin
%pom_xpath_set "pom:dependency[pom:groupId='log4j']/pom:version" 1.2.17

# Fix incorrect permissions on documentation
chmod 644 README

%mvn_file org.%{name}:jgroups %{name}

%build
# Tests to not current run under maven for this project
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README INSTALL.html
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 24 2015 gil cattaneo <puntogil@libero.it> 2.12.3-11
- fix FTBFS rhbz#1239614
- adapt to current guideline
- use BR mvn()-like
- introduce license macro

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.12.3-8
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 11 2013 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-7
- Add BR for maven-install-plugin

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.12.3-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Aug 23 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-3
- Changed groupid to org.jgroup212 to fix conflict with jgroup 3
- Now building with UTF-8 source encoding

* Sun Aug 05 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-2
- Included license in javadoc subpackage
- Corrected license type
- Added missing Requires and BR
- Removed unnecessary define

* Fri Jul 27 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-1
- Initial package

